List supported wallet chains
curl --request GET \
--url https://api.stabyl.com/v1/partner/wallets/chainsimport requests
url = "https://api.stabyl.com/v1/partner/wallets/chains"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.stabyl.com/v1/partner/wallets/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rails": [
{
"code": "USDC",
"decimals": 6,
"deposit_enabled": true,
"display_name": "USD Coin",
"rail_type": "stablecoin",
"routes": [
{
"chain": {
"explorer_url": "https://basescan.org/tx/{tx_hash}",
"logo": "https://www.base.org/_next/image?url=%2F_next%2Fstatic%2Fmedia%2Fpartner.c0800f8b.png&w=750&q=99",
"name": "Base",
"slug": "base",
"symbol": "ETH",
"token_standard": "ERC20"
},
"deposit_enabled": true,
"network": "evm",
"settlement_rail": "USDC",
"wallet_currency": "USD",
"withdrawal_enabled": true
}
],
"wallet_currency": "USD",
"withdrawal_enabled": true
}
]
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}Wallets
List supported wallet chains
Returns the stablecoin deposit routes currently available for USD settlement. Use this endpoint as the source of truth for chain names, route slugs, token standards, logos, explorers, and enabled deposit support.
GET
/
partner
/
wallets
/
chains
List supported wallet chains
Was this page helpful?
⌘I